## azure-functions-devops-build 0.0.22

=== requirements.txt ===
adal==1.2.0
antlr4-python3-runtime==4.7.2
applicationinsights==0.11.7
argcomplete==1.9.4
asn1crypto==0.24.0
azure-cli-core==2.0.55
azure-cli-nspkg==3.0.3
azure-cli-telemetry==1.0.0
azure-common==1.1.17
azure-mgmt-nspkg==3.0.2
azure-mgmt-resource==2.0.0
azure-nspkg==3.0.2
bcrypt==3.1.6
certifi==2018.11.29
cffi==1.11.5
chardet==3.0.4
colorama==0.4.1
cryptography==2.4.2
futures==3.1.1
humanfriendly==4.17
idna==2.8
isodate==0.6.0
Jinja2==2.10
jmespath==0.9.3
knack==0.5.1
MarkupSafe==1.1.0
msrest==0.6.4
msrestazure==0.6.0
oauthlib==3.0.0
paramiko==2.4.2
portalocker==1.2.1
pyasn1==0.4.5
pycparser==2.19
Pygments==2.3.1
PyJWT==1.7.1
PyNaCl==1.3.0
pyOpenSSL==18.0.0
pypiwin32==223
pyreadline==2.1
python-dateutil==2.7.5
pywin32==224
PyYAML==4.2b4
requests==2.21.0
requests-oauthlib==1.2.0
six==1.12.0
tabulate==0.8.2
urllib3==1.24.1
vsts==0.1.25

=== debian/changelog ===
azure-functions-devops-build (0.0.22-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.5.1, no changes
  * Remove redundant Testsuite field from d/control
  * Add upstream/metadata file

 -- Luca Boccassi <bluca@debian.org>  Mon, 01 Feb 2021 11:58:03 +0000

azure-functions-devops-build (0.0.22-4) unstable; urgency=medium

  * Re-enable self tests and Build-Depends on azure-cli
  * Add Testsuite: autopkgtest-pkg-python to d/control
  * Add autopkgtest support
  * Build-depend on python3-all to test multiple interpreters
  * Move package under Python Modules Team maintenance

 -- Luca Boccassi <bluca@debian.org>  Sat, 07 Mar 2020 10:50:18 +0000

azure-functions-devops-build (0.0.22-3) unstable; urgency=medium

  * Disable tests and remove B-D on azure-cli temporarily to allow upload
    to Ubuntu.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 20:16:32 +0000

azure-functions-devops-build (0.0.22-2) unstable; urgency=medium

  * Remove B-D on python3-azure-devops, added by mistake.
  * Skip tests that use deprecated vsts module.

 -- Luca Boccassi <bluca@debian.org>  Thu, 27 Feb 2020 09:11:20 +0000

azure-functions-devops-build (0.0.22-1) unstable; urgency=medium

  * Initial release. (Closes: #951738)

 -- Luca Boccassi <bluca@debian.org>  Thu, 20 Feb 2020 21:28:43 +0000

=== debian/control ===
Source: azure-functions-devops-build
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Luca Boccassi <bluca@debian.org>,
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-azure <!nocheck>,
               python3-azure-cli <!nocheck>,
               python3-azure-cli-testsdk <!nocheck>,
               python3-azure-devtools <!nocheck>,
               python3-jinja2 <!nocheck>,
               python3-msrest <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-vsts-cd-manager <!nocheck>,
Standards-Version: 4.5.1
Section: python
Priority: optional
Rules-Requires-Root: no
Homepage: https://github.com/Azure/azure-functions-devops-build
Vcs-Browser: https://salsa.debian.org/python-team/packages/azure-functions-devops-build
Vcs-Git: https://salsa.debian.org/python-team/packages/azure-functions-devops-build.git

Package: python3-azure-functions-devops-build
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: Azure Devops Build Manager For Azure Functions
 This project provides the class AzureDevopsBuildManager and supporting classes.
 This manager class allows the caller to manage Azure Devops pipelines that are
 maintained within an Azure Devops account. This project was created to be able
 to support command line tooling for the AZ Cli.

=== debian/tests/control ===
Tests: python3-tests
Depends: @builddeps@, python3-azure-functions-devops-build,

=== debian/watch ===
version=4
https://pypi.debian.net/azure-functions-devops-build/azure-functions-devops-build-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
